//
//  YLDemoThreeViewController.m
//  PieTouch
//
//  Created by Kemal Taskin on 11/22/12.
//  Copyright (c) 2012 Yakamoz Labs. All rights reserved.
//

#import "YLDemoThreeViewController.h"
#import "UIColor-Expanded.h"
#import <PieTouch/PieTouch.h>

@implementation YLDemoThreeViewController

@synthesize girlsChartView = _girlsChartView;
@synthesize boysChartView = _boysChartView;
@synthesize iosChartView = _iosChartView;
@synthesize androidChartView = _androidChartView;
@synthesize windowsChartView = _windowsChartView;

- (id)init {
    self = [super initWithNibName:@"YLDemoThreeViewController" bundle:nil];
    if(self) {
        self.title = @"Demo 3";
    }
    
    return self;
}

- (void)dealloc {
    [_girlsChartView release];
    [_boysChartView release];
    [_iosChartView release];
    [_androidChartView release];
    [_windowsChartView release];
    
    [super dealloc];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSArray *charts = [NSArray arrayWithObjects:_iosChartView, _androidChartView, _windowsChartView, nil];
    for(YLPieSliceChartView *chart in charts) {
        chart.pieChartView.innerRadiusOffset = 0.5;
        chart.pieChartView.innerPieBackgroundColor = [UIColor clearColor];
        chart.pieChartView.pieBackgroundColor = [UIColor colorWithRed:0.7529 green:0.8706 blue:0.9686 alpha:1.0];
        chart.pieChartView.pieBorderColor = [UIColor colorWithWhite:0.0 alpha:0.5];
        chart.pieChartView.pieBorderWidth = 4.0;
        chart.pieChartView.textFont = [UIFont boldSystemFontOfSize:10.0];
        chart.pieChartView.textShadowColor = [UIColor blackColor];
        chart.sliceColor = [UIColor colorWithHexString:@"23aae2"];
    }
    
    UIImageView *image = [[[UIImageView alloc] initWithImage:[UIImage imageNamed:@"apple.png"]] autorelease];
    CGRect frame = image.frame;
    frame.size = CGSizeMake(32, 32);
    image.frame = frame;
    image.center = _iosChartView.pieChartView.center;
    [_iosChartView addSubview:image];
    [_iosChartView setSliceValue:0.5];
    
    image = [[[UIImageView alloc] initWithImage:[UIImage imageNamed:@"android.png"]] autorelease];
    frame = image.frame;
    frame.size = CGSizeMake(32, 32);
    image.frame = frame;
    image.center = _androidChartView.pieChartView.center;
    [_androidChartView addSubview:image];
    [_androidChartView setSliceValue:0.3];
    
    image = [[[UIImageView alloc] initWithImage:[UIImage imageNamed:@"windows2.png"]] autorelease];
    frame = image.frame;
    frame.size = CGSizeMake(32, 32);
    image.frame = frame;
    image.center = _windowsChartView.pieChartView.center;
    [_windowsChartView addSubview:image];
    [_windowsChartView setSliceValue:0.2];

    charts = [NSArray arrayWithObjects:_girlsChartView, _boysChartView, nil];
    for(YLPieSliceChartView *chart in charts) {
        [chart.pieChartView setPieBackgroundColor:[UIColor colorWithHexString:@"ef4932"]];
        [chart.pieChartView setPieBorderColor:[UIColor colorWithHexString:@"434956"]];
        [chart.pieChartView setPieBorderWidth:8.0];
        [chart.pieChartView setInnerRadiusOffset:0.4];
        [chart.pieChartView setInnerPieBackgroundColor:[UIColor colorWithHexString:@"434956"]];
        [chart.pieChartView setShowTextLabels:NO];
        [chart setSliceColor:[UIColor colorWithHexString:@"23aae2"]];
    }
    
    UILabel *l = [[[UILabel alloc] initWithFrame:CGRectMake(0, 0, 50, 30)] autorelease];
    [l setBackgroundColor:[UIColor clearColor]];
    [l setTextColor:[UIColor whiteColor]];
    [l setTextAlignment:NSTextAlignmentCenter];
    [l setFont:[UIFont boldSystemFontOfSize:20]];
    [l setShadowColor:[UIColor blackColor]];
    [l setShadowOffset:CGSizeMake(0, -1)];
    [l setText:@"60%"];
    l.center = _girlsChartView.pieChartView.center;
    [_girlsChartView addSubview:l];
    
    l = [[[UILabel alloc] initWithFrame:CGRectMake(0, 0, 50, 30)] autorelease];
    [l setBackgroundColor:[UIColor clearColor]];
    [l setTextColor:[UIColor whiteColor]];
    [l setTextAlignment:NSTextAlignmentCenter];
    [l setFont:[UIFont boldSystemFontOfSize:20]];
    [l setShadowColor:[UIColor blackColor]];
    [l setShadowOffset:CGSizeMake(0, -1)];
    [l setText:@"40%"];
    l.center = _boysChartView.pieChartView.center;
    [_boysChartView addSubview:l];
    
    _girlsChartView.sliceValue = 0.6;
    _boysChartView.sliceValue = 0.4;
}

- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];
    
    [_girlsChartView reloadDataAnimated:YES];
    [_boysChartView reloadDataAnimated:YES];
    [_iosChartView reloadDataAnimated:YES];
    [_androidChartView reloadDataAnimated:YES];
    [_windowsChartView reloadDataAnimated:YES];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation {
    return UIInterfaceOrientationIsPortrait(toInterfaceOrientation);
}

- (BOOL)shouldAutorotate {
    return NO;
}

- (NSUInteger)supportedInterfaceOrientations {
    return UIInterfaceOrientationMaskPortrait;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

@end
