//
//  YLPieChartDelegate.h
//  PieTouch
//
//  Created by Kemal Taskin on 10/3/12.
//  Copyright (c) 2012 Yakamoz Labs. All rights reserved.
//

#import <Foundation/Foundation.h>

@class YLPieChartView;

/// Implement this delegate to get notified about selection events in a YLPieChartView object.
@protocol YLPieChartDelegate <NSObject>
@optional
/// Called when a pie slice will be selected.
/// @param pieChartView The YLPieChartView instance.
/// @param index The pie slice index.
- (void)pieChartView:(YLPieChartView *)pieChartView willSelectSliceAtIndex:(NSUInteger)index;

/// Called when a pie slice is selected.
/// @param pieChartView The YLPieChartView instance.
/// @param index The pie slice index.
- (void)pieChartView:(YLPieChartView *)pieChartView didSelectSliceAtIndex:(NSUInteger)index;

/// Called when a pie slice will be deselected.
/// @param pieChartView The YLPieChartView instance.
/// @param index The pie slice index.
- (void)pieChartView:(YLPieChartView *)pieChartView willDeselectSliceAtIndex:(NSUInteger)index;

/// Called when a pie slice is deselected.
/// @param pieChartView The YLPieChartView instance.
/// @param index The pie slice index.
- (void)pieChartView:(YLPieChartView *)pieChartView didDeselectSliceAtIndex:(NSUInteger)index;
@end
