//
//  YLPieChartLayer.h
//  PieTouch
//
//  Created by Kemal Taskin on 10/3/12.
//  Copyright (c) 2012 Yakamoz Labs. All rights reserved.
//

#import <UIKit/UIColor.h>
#import <QuartzCore/QuartzCore.h>

/// This is the layer that draws the background of the pie chart.
@interface YLPieChartLayer : CALayer

/** @name Properties */
/// Radius of the pie chart.
@property (nonatomic, assign) CGFloat radius;

/// Inner radius of the pie chart. This value is bigger than 0 for donut charts.
@property (nonatomic, assign) CGFloat innerRadius;

/// Radius for the border of the pie chart. This is calculated as the radius + border width.
@property (nonatomic, assign) CGFloat borderRadius;

/// Center point of the pie chart.
@property (nonatomic, assign) CGPoint center;

/// Background color of the pie chart.
@property (nonatomic, retain) UIColor *pieBackgroundColor;

/// Background color of the inner pie circle (donut charts).
@property (nonatomic, retain) UIColor *innerPieBackgroundColor;

/// Border color of the pie chart.
@property (nonatomic, retain) UIColor *pieBorderColor;

@end
