//
//  YLPieSliceChartView.h
//  PieTouch
//
//  Created by Kemal Taskin on 10/8/12.
//  Copyright (c) 2012 Yakamoz Labs. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "YLPieChartDataSource.h"
#import "YLPieChartDelegate.h"

@class YLPieChartView;

/// This view uses YLPieChartView internally to show a single pie slice chart view. Use this view instead of YLPieChartView if you
/// want to display a single value only in the pie chart.
@interface YLPieSliceChartView : UIView<YLPieChartDataSource,YLPieChartDelegate>

/** @name Properties */
/// Reference to the internally used YLPieChartView instance.
@property (nonatomic, readonly) YLPieChartView *pieChartView;

/// Normalized value of the pie slice. This value should be between 0.0 and 1.0!
@property (nonatomic, assign) CGFloat sliceValue;

/// Color of the pie slice.
@property (nonatomic, retain) UIColor *sliceColor;


/** @name Instance Methods */
/// Call this method to reflect property changes.
/// @param animated YES if you want to reload the pie chart animated.
- (void)reloadDataAnimated:(BOOL)animated;

@end
